Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.fs
Interface FSText

    public interface FSText

This interface assembles textual file system information.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static byte[][]` | `ATTRIBUTETOKENS` Email attributes.
`static byte[]` | `AUDIO` Audio tag.
`static byte[]` | `CONTENT` Suffix attribute.
`static byte[]` | `DEEPFS` DeepFS tag.
`static byte[]` | `DIR` Directory tag.
`static byte[]` | `EMAIL` Email tag.
`static byte[]` | `EMLATTACHMENT` Email section.
`static java.lang.String[]` | `EMLATTR` Email attributes.
`static byte[]` | `EMLBODY` Email section.
`static byte[]` | `EMLCONTENTTYPE` Email content-type info.
`static byte[]` | `EMLDATE` Email date info.
`static byte[]` | `EMLFROM` Email sender info.
`static byte[]` | `EMLSUBJECT` Email subject info.
`static byte[]` | `EMLTIME` Email time info in minutes from 1.1.1970.
`static byte[]` | `EMLTO` Email receiver info.
`static byte[]` | `EXIF` EXIF information.
`static java.lang.String` | `EXIFFORMAT1` EXIF Format Mismatch.
`static java.lang.String` | `EXIFFORMAT2` EXIF Format Mismatch.
`static java.lang.String` | `EXIFIGNORED` EXIF Number ignored.
`static java.lang.String` | `EXIFRATIONAL` EXIF Undefined Type.
`static java.lang.String` | `EXIFUNDEFINED` EXIF Undefined Type.
`static java.lang.String` | `EXIFUNKNOWN` EXIF Unknown type.
`static byte[]` | `EXPOS` EXIF Exposure.
`static byte[]` | `FILE` File tag.
`static byte[]` | `HEADERBMP` BMP header info.
`static int[]` | `HEADEREXIF` JPG header info.
`static byte[]` | `HEADERGIF87` GIF87a header info.
`static byte[]` | `HEADERGIF89` GIF89a header info.
`static byte[]` | `HEADERID3V1` ID3v1 header info.
`static int[]` | `HEADERJPG` JPG header info.
`static byte[]` | `HEADERPNG` PNG header info.
`static byte[]` | `HEIGHT` Height tag.
`static byte[]` | `ID3` ID3v2 tag.
`static byte[]` | `ID3ALBUM` ID3v1 tag.
`static byte[]` | `ID3ARTIST` ID3v1 tag.
`static byte[]` | `ID3COMMENT` ID3v1 tag.
`static byte[]` | `ID3FLAG_EXPERI` ID3v2.x.y flag info id3v2.4.0-structure.txt l.159ff.
`static byte[]` | `ID3FLAG_EXTHEA` ID3v2.x.y flag info id3v2.4.0-structure.txt l.151ff.
`static byte[]` | `ID3FLAG_FOOTER` ID3v2.x.y flag info id3v2.4.0-structure.txt l.165ff.
`static byte[]` | `ID3FLAG_UNSYNC` ID3v2.x.y flag info id3v2.4.0-structure.txt l.144ff.
`static java.lang.String` | `ID3INVALID` ID3v2 invalid.
`static java.lang.String` | `ID3NULL` ID3v2 parsing stopped.
`static java.lang.String` | `ID3SIZE1` ID3v2 parsing stopped.
`static java.lang.String` | `ID3SIZE2` ID3v2 parsing stopped.
`static byte[]` | `ID3TITLE` ID3v1 tag.
`static java.lang.String` | `ID3UNKNOWN` ID3v2 parsing stopped.
`static java.lang.String` | `ID3V2ERROR` ID3v2 error message.
`static byte[]` | `ID3VERS` ID3v2.x.y version number.
`static byte[]` | `ID3YEAR` ID3v1 tag.
`static byte[]` | `IMAGE` Image tag.
`static java.lang.String` | `IOEXSKIP` Error on IOException during traversal.
`static byte[]` | `MP3CODEC` MP3 info.
`static byte[]` | `MP3EMPH` MP3 info.
`static byte[]` | `MP3ENCODE` MP3 info.
`static byte[]` | `MP3MODE` MP3 info.
`static byte[]` | `MP3PAD` MP3 info.
`static byte[]` | `MP3RATE` MP3 info.
`static byte[]` | `MP3SAMPLE` MP3 info.
`static byte[]` | `MP3SEC` MP3 info.
`static byte[]` | `MP3XING` MP3 XING header.
`static byte[]` | `MTIME` Time of last modification.
`static byte[]` | `NAME` Name attribute.
`static byte[]` | `SIZE` Size attribute.
`static byte[]` | `SUFFIX` Suffix attribute.
`static java.lang.String` | `TRAVERSE` Window title during FS import.
`static byte[]` | `TYPE` Image attributes.
`static byte[]` | `TYPEBMP` BMP type.
`static byte[]` | `TYPEEML` EML suffix.
`static byte[]` | `TYPEGIF` GIF suffix.
`static byte[]` | `TYPEJPEG` JPEG suffix.
`static byte[]` | `TYPEJPG` JPG type.
`static byte[]` | `TYPEMBS` MBS suffix.
`static byte[]` | `TYPEMBX` MBX suffix.
`static byte[]` | `TYPEMP3` MP3 suffix.
`static byte[]` | `TYPEPNG` PNG type.
`static byte[]` | `TYPETIF` TIF suffix.
`static byte[]` | `WIDTH` Width tag.

Field Detail

### ATTRIBUTETOKENS

    static final byte[][] ATTRIBUTETOKENS

  Email attributes.

### AUDIO

    static final byte[] AUDIO

  Audio tag.

### CONTENT

    static final byte[] CONTENT

  Suffix attribute.

### DEEPFS

    static final byte[] DEEPFS

  DeepFS tag.

### DIR

    static final byte[] DIR

  Directory tag.

### EMAIL

    static final byte[] EMAIL

  Email tag.

### EMLATTACHMENT

    static final byte[] EMLATTACHMENT

  Email section.

### EMLATTR

    static final java.lang.String[] EMLATTR

  Email attributes.

### EMLBODY

    static final byte[] EMLBODY

  Email section.

### EMLCONTENTTYPE

    static final byte[] EMLCONTENTTYPE

  Email content-type info.

### EMLDATE

    static final byte[] EMLDATE

  Email date info.

### EMLFROM

    static final byte[] EMLFROM

  Email sender info.

### EMLSUBJECT

    static final byte[] EMLSUBJECT

  Email subject info.

### EMLTIME

    static final byte[] EMLTIME

  Email time info in minutes from 1.1.1970.

### EMLTO

    static final byte[] EMLTO

  Email receiver info.

### EXIF

    static final byte[] EXIF

  EXIF information.

### EXIFFORMAT1

    static final java.lang.String EXIFFORMAT1

  EXIF Format Mismatch.

  See Also:
    Constant Field Values

### EXIFFORMAT2

    static final java.lang.String EXIFFORMAT2

  EXIF Format Mismatch.

  See Also:
    Constant Field Values

### EXIFIGNORED

    static final java.lang.String EXIFIGNORED

  EXIF Number ignored.

  See Also:
    Constant Field Values

### EXIFRATIONAL

    static final java.lang.String EXIFRATIONAL

  EXIF Undefined Type.

  See Also:
    Constant Field Values

### EXIFUNDEFINED

    static final java.lang.String EXIFUNDEFINED

  EXIF Undefined Type.

  See Also:
    Constant Field Values

### EXIFUNKNOWN

    static final java.lang.String EXIFUNKNOWN

  EXIF Unknown type.

  See Also:
    Constant Field Values

### EXPOS

    static final byte[] EXPOS

  EXIF Exposure.

### FILE

    static final byte[] FILE

  File tag.

### HEADERBMP

    static final byte[] HEADERBMP

  BMP header info.

### HEADEREXIF

    static final int[] HEADEREXIF

  JPG header info.

### HEADERGIF87

    static final byte[] HEADERGIF87

  GIF87a header info.

### HEADERGIF89

    static final byte[] HEADERGIF89

  GIF89a header info.

### HEADERID3V1

    static final byte[] HEADERID3V1

  ID3v1 header info.

### HEADERJPG

    static final int[] HEADERJPG

  JPG header info.

### HEADERPNG

    static final byte[] HEADERPNG

  PNG header info.

### HEIGHT

    static final byte[] HEIGHT

  Height tag.

### ID3

    static final byte[] ID3

  ID3v2 tag.

### ID3ALBUM

    static final byte[] ID3ALBUM

  ID3v1 tag.

### ID3ARTIST

    static final byte[] ID3ARTIST

  ID3v1 tag.

### ID3COMMENT

    static final byte[] ID3COMMENT

  ID3v1 tag.

### ID3FLAG_EXPERI

    static final byte[] ID3FLAG_EXPERI

  ID3v2.x.y flag info id3v2.4.0-structure.txt l.159ff.

### ID3FLAG_EXTHEA

    static final byte[] ID3FLAG_EXTHEA

  ID3v2.x.y flag info id3v2.4.0-structure.txt l.151ff.

### ID3FLAG_FOOTER

    static final byte[] ID3FLAG_FOOTER

  ID3v2.x.y flag info id3v2.4.0-structure.txt l.165ff.

### ID3FLAG_UNSYNC

    static final byte[] ID3FLAG_UNSYNC

  ID3v2.x.y flag info id3v2.4.0-structure.txt l.144ff.

### ID3INVALID

    static final java.lang.String ID3INVALID

  ID3v2 invalid.

  See Also:
    Constant Field Values

### ID3NULL

    static final java.lang.String ID3NULL

  ID3v2 parsing stopped.

  See Also:
    Constant Field Values

### ID3SIZE1

    static final java.lang.String ID3SIZE1

  ID3v2 parsing stopped.

  See Also:
    Constant Field Values

### ID3SIZE2

    static final java.lang.String ID3SIZE2

  ID3v2 parsing stopped.

  See Also:
    Constant Field Values

### ID3TITLE

    static final byte[] ID3TITLE

  ID3v1 tag.

### ID3UNKNOWN

    static final java.lang.String ID3UNKNOWN

  ID3v2 parsing stopped.

  See Also:
    Constant Field Values

### ID3V2ERROR

    static final java.lang.String ID3V2ERROR

  ID3v2 error message.

  See Also:
    Constant Field Values

### ID3VERS

    static final byte[] ID3VERS

  ID3v2.x.y version number.

### ID3YEAR

    static final byte[] ID3YEAR

  ID3v1 tag.

### IMAGE

    static final byte[] IMAGE

  Image tag.

### IOEXSKIP

    static final java.lang.String IOEXSKIP

  Error on IOException during traversal.

  See Also:
    Constant Field Values

### MP3CODEC

    static final byte[] MP3CODEC

  MP3 info.

### MP3EMPH

    static final byte[] MP3EMPH

  MP3 info.

### MP3ENCODE

    static final byte[] MP3ENCODE

  MP3 info.

### MP3MODE

    static final byte[] MP3MODE

  MP3 info.

### MP3PAD

    static final byte[] MP3PAD

  MP3 info.

### MP3RATE

    static final byte[] MP3RATE

  MP3 info.

### MP3SAMPLE

    static final byte[] MP3SAMPLE

  MP3 info.

### MP3SEC

    static final byte[] MP3SEC

  MP3 info.

### MP3XING

    static final byte[] MP3XING

  MP3 XING header.

### MTIME

    static final byte[] MTIME

  Time of last modification.

### NAME

    static final byte[] NAME

  Name attribute.

### SIZE

    static final byte[] SIZE

  Size attribute.

### SUFFIX

    static final byte[] SUFFIX

  Suffix attribute.

### TRAVERSE

    static final java.lang.String TRAVERSE

  Window title during FS import.

  See Also:
    Constant Field Values

### TYPE

    static final byte[] TYPE

  Image attributes.

### TYPEBMP

    static final byte[] TYPEBMP

  BMP type.

### TYPEEML

    static final byte[] TYPEEML

  EML suffix.

### TYPEGIF

    static final byte[] TYPEGIF

  GIF suffix.

### TYPEJPEG

    static final byte[] TYPEJPEG

  JPEG suffix.

### TYPEJPG

    static final byte[] TYPEJPG

  JPG type.

### TYPEMBS

    static final byte[] TYPEMBS

  MBS suffix.

### TYPEMBX

    static final byte[] TYPEMBX

  MBX suffix.

### TYPEMP3

    static final byte[] TYPEMP3

  MP3 suffix.

### TYPEPNG

    static final byte[] TYPEPNG

  PNG type.

### TYPETIF

    static final byte[] TYPETIF

  TIF suffix.

### WIDTH

    static final byte[] WIDTH

  Width tag.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD